<div class="fast-add-input d-flex ">
  <select
    class="form-control col "
    [value]="inputType"
    #select
    (change)="inputType = $event.target.value"
  >
    <option value="TEXTBOX">TextBox</option>
    <option value="DROPDOWN">DropDwon</option>
    <option value="CHECKBOX">CheckBox</option>
    <option value="RADIOBUTTON">RadioButton</option>
    <option value="SUBMIT">Submit Button</option>
    <option value="CANCEL">Cancel Button</option>
  </select>
  <button class="btn btn-default btn-info ml-2" (click)="addInput()">
    add Input
  </button>
  <button class="btn btn-default btn-link" (click)="showHelp()">
    show Help
  </button>
</div>

<div
  class="modal fade show"
  id="exampleModal"
  tabindex="-1"
  style="box-shadow: 0px 5px 5px 2px #b8b3b3"
  [style]="(modalOpened && { display: 'block' }) || {}"
  role="dialog"
  aria-labelledby="exampleModalLabel"
  aria-hidden="true"
>
  <trufla-modal (close)="onModalClose()">
    <h5 class="modal-title">{{ titleModal }}</h5>

    <div class="modal-content">
      <div class="container mx-2">
        <trufla-json-validator
          *ngIf="!isHelpModal"
          [json]="currentField"
          (jsonChange)="onJsonChage($event)"
          label="this example field template you can edit json field here or edit in outer form json"
        >
        </trufla-json-validator>
        <pre *ngIf="isHelpModal">{{ helpContent }}</pre>
      </div>
    </div>

    <div class="modal-footer">
      <button
        type="button"
        class="btn btn-secondary"
        (click)="onModalClose()"
        data-dismiss="modal"
      >
        Close
      </button>
      <button type="button" class="btn btn-primary" (click)="onAddInput()">
        Add Input
      </button>
    </div>
  </trufla-modal>
</div>
